# 端口
server:
    port: 8099

spring:
    # 数据源配置
    datasource:
        type: com.alibaba.druid.pool.DruidDataSource
        url: jdbc:mysql://127.0.0.1:3306/pco_system?useUnicode=true&characterEncoding=utf-8&useSSL=true&serverTimezone=UTC
        username: root
        password: 123456
        # 是否打开sql监控台  (生产环境请务必关闭此选项)
        druid:
            stat-view-servlet:
                enabled: false
            web-stat-filter:
                enabled: false
            filter:
                config:
                    enabled: true

    # redis配置
    redis:
        # Redis数据库索引（默认为0）
        database: 1
        # Redis服务器地址
        host: 127.0.0.1
        # Redis服务器连接端口
        port: 6379
        # Redis服务器连接密码（默认为空）
        # password:
        # 连接超时时间（毫秒）
        timeout: 5000ms
        lettuce:
            pool:
                # 连接池最大连接数
                max-active: 200
                # 连接池最大阻塞等待时间（使用负值表示没有限制）
                max-wait: -1ms
                # 连接池中的最大空闲连接
                max-idle: 10
                # 连接池中的最小空闲连接
                min-idle: 0

    # 项目自定义配置
    myconfig:
        # 本项目部署到的服务器域名（文件上传等等模块  要用到）
        domain: http://192.168.3.77:8099/pro
        web-domain: https://192.168.3.77:8080
part-config:
    base-price: 0.01 #基础费用
    extra-price: 0.01 #过夜额外收费
    night-end: 06:00:00 #夜间结束时间
    free-minutes: 30
    free-car-length: 4.2
car:
    max-length: 20
    max-weight: 50
wx-config:
    title: 场站管理系统
    flush-second: 12000 #token刷新时间 秒
    app-id: wxd40a34141872bf0c
    secret: 2e6a69fab1fbab60369ebd21b0882f3e
    mach-id: 1615645036
    key: dongxingkouanerqiao8888888888888
    token: dx1123
    access-token-key: wechat:base_token_key
    js-api-ticket-key: wechat:jsapi_ticket_key
    access-token-url: https://api.weixin.qq.com/cgi-bin/token?grant_type=client_credential&appid=${wx-config.app-id}&secret=${wx-config.secret}
    #弹出让用户确认授权的页面
    auth-login-url: https://open.weixin.qq.com/connect/oauth2/authorize?appid=${wx-config.app-id}&redirect_uri=REDIRECT_URI&response_type=code&scope=snsapi_base&state=STATE#wechat_redirect
    js-api-token-url: https://api.weixin.qq.com/cgi-bin/ticket/getticket?access_token=ACCESS_TOKEN&type=jsapi
    openid-url: https://api.weixin.qq.com/sns/oauth2/access_token?appid=${wx-config.app-id}&secret=${wx-config.secret}&code=CODE&grant_type=authorization_code
    send-msg-url: https://api.weixin.qq.com/cgi-bin/message/template/send?access_token=ACCESS_TOKEN
    business-notice-template: x-uh28Okx9_Wl1ZXsmx_r2vn3KIixZrZqUw-18R0cqY
    business-pick-template: M2f0xbVnQNujOCbtDZ6kBGnTK8Uc2Hm7dMguU-dPH9Q
    business-confirm-template: x-uh28Okx9_Wl1ZXsmx_r2vn3KIixZrZqUw-18R0cqY